Change log for boost1.67 package in Ubuntu

132 of 32 results
Published in focal-release on 2020-04-05
Deleted in focal-proposed (Reason: moved to Release)
boost1.67 (1.67.0-17ubuntu8) focal; urgency=medium

  * Enable numpy properly on riscv64.

 -- William Grant <email address hidden>  Wed, 01 Apr 2020 18:51:37 +1100
Superseded in focal-release on 2020-04-05
Deleted in focal-proposed 18 hours ago (Reason: moved to Release)
boost1.67 (1.67.0-17ubuntu7) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <email address hidden>  Tue, 03 Mar 2020 21:31:37 +0100
Superseded in focal-release on 2020-03-24
Superseded in focal-release on 2020-02-28
Deleted in focal-proposed on 2020-03-25 (Reason: moved to Release)
boost1.67 (1.67.0-17ubuntu6) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <email address hidden>  Tue, 18 Feb 2020 15:31:23 +0100
Superseded in focal-proposed on 2020-02-18
boost1.67 (1.67.0-17ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <email address hidden>  Thu, 13 Feb 2020 08:44:52 +0100
Superseded in focal-release on 2020-02-27
Deleted in focal-proposed on 2020-02-28 (Reason: moved to Release)
boost1.67 (1.67.0-17ubuntu4) focal; urgency=medium

  * Use python2 in the autopkg tests.

 -- Matthias Klose <email address hidden>  Fri, 17 Jan 2020 14:13:46 +0100
Superseded in focal-proposed on 2020-01-17
boost1.67 (1.67.0-17ubuntu3) focal; urgency=medium

  * Use python2 in the autopkg tests.

 -- Matthias Klose <email address hidden>  Fri, 17 Jan 2020 14:13:46 +0100
Superseded in focal-release on 2020-01-23
Deleted in focal-proposed on 2020-01-25 (Reason: moved to Release)
boost1.67 (1.67.0-17ubuntu2) focal; urgency=medium

  [ Dimitri John Ledkov, Matthias Klose, Gianfranco Costamagna ]
  * Don't execute numpy sed on i386, where numpy is not built
  * Drop numpy on i386.
  * libboost-python1.67-dev: Depend on python2-dev instead on python-dev.
  * Explicitly depend on python2 to fix FTBFS

 -- Gianfranco Costamagna <email address hidden>  Wed, 08 Jan 2020 17:07:57 +0100
Superseded in focal-proposed on 2020-01-08
boost1.67 (1.67.0-17ubuntu1) focal; urgency=medium

  [ Dimitri John Ledkov, Matthias Klose, Gianfranco Costamagna ]
  * Drop numpy on i386.
  * libboost-python1.67-dev: Depend on python2-dev instead on python-dev.
  * Explicitly depend on python2 to fix FTBFS

 -- Gianfranco Costamagna <email address hidden>  Wed, 08 Jan 2020 17:07:57 +0100
Superseded in focal-proposed on 2020-01-08
boost1.67 (1.67.0-16.1ubuntu4) focal; urgency=medium

  * Drop numpy on i386.

 -- Dimitri John Ledkov <email address hidden>  Tue, 07 Jan 2020 17:27:27 +0000
Superseded in focal-proposed on 2020-01-08
boost1.67 (1.67.0-17) unstable; urgency=medium

  * Expose Python version information in dependencies to Python packages, so
    that removing a supported Python version does not result in silently
    broken reverse dependencies (closes: #948273). Thanks to Andreas Beckmann
    for the patch.

 -- Giovanni Mascellani <email address hidden>  Tue, 07 Jan 2020 13:13:25 +0100
Superseded in focal-proposed on 2020-01-08
boost1.67 (1.67.0-16.1ubuntu3) focal; urgency=medium

  * libboost-python1.67-dev: Depend on python2-dev instead on python-dev.

 -- Matthias Klose <email address hidden>  Tue, 07 Jan 2020 12:50:29 +0100
Superseded in focal-proposed on 2020-01-07
boost1.67 (1.67.0-16.1ubuntu2) focal; urgency=medium

  * Explicitly depend on python2 to fix FTBFS

 -- Gianfranco Costamagna <email address hidden>  Tue, 07 Jan 2020 09:02:20 +0100
Superseded in focal-proposed on 2020-01-07
boost1.67 (1.67.0-16.1ubuntu1) focal; urgency=medium

  * Explicitly depend on python2 to fix FTBFS

 -- Gianfranco Costamagna <email address hidden>  Tue, 07 Jan 2020 09:02:20 +0100
Superseded in focal-proposed on 2020-01-07
boost1.67 (1.67.0-16.1) unstable; urgency=high

  * Non-maintainer upload.
  * Revert the Python 2 removal, this requires a package rename
    that will happen with the transition to 1.71. (Closes: #945840)

 -- Adrian Bunk <email address hidden>  Mon, 06 Jan 2020 14:28:23 +0200

Available diffs

Superseded in focal-proposed on 2020-01-06
boost1.67 (1.67.0-16) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Update branch in Vcs-Git and gbp.conf.
  * Patch undefined behaviour leading to crashing libboost-numpy (closes:
    #945987).

  [ Dimitri John Ledkov ]
  * Actually fix python test case using correct CMake syntax.

 -- Dimitri John Ledkov <email address hidden>  Wed, 11 Dec 2019 14:00:23 +0000

Available diffs

Superseded in focal-proposed on 2019-12-11
boost1.67 (1.67.0-15) unstable; urgency=medium

  [ Matthias Klose ]
  * Allow stderr in autopkgtests

  [ Dimitri John Ledkov ]
  * Port boost-python autopkgtest to python3
  * Port mpi-python tests
  * Switch autopkgtest deps to python3

 -- Dimitri John Ledkov <email address hidden>  Fri, 29 Nov 2019 00:47:48 +0000
Superseded in focal-proposed on 2019-11-29
boost1.67 (1.67.0-14ubuntu1) focal; urgency=medium

  * Merge from Debian:
    - Allow stderr output in the mpi related autopkg tests.

Superseded in focal-proposed on 2019-11-28
boost1.67 (1.67.0-13ubuntu3) focal; urgency=medium

  * Allow stderr output in the mpi related autopkg tests.

 -- Matthias Klose <email address hidden>  Fri, 22 Nov 2019 06:38:15 +0100
Superseded in focal-release on 2020-01-10
Deleted in focal-proposed on 2020-01-17 (Reason: moved to Release)
boost1.67 (1.67.0-13ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <email address hidden>  Fri, 18 Oct 2019 18:37:33 +0000
Superseded in focal-release on 2019-11-01
Published in eoan-release on 2019-04-29
Deleted in eoan-proposed (Reason: moved to release)
boost1.67 (1.67.0-13ubuntu1) eoan; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.
  * Provide and Encode icuabi in libboost-regex shlibdeps.

  [ Giovanni Mascellani ]
  * Add -contract as dependency of -dev-all.

 -- Dimitri John Ledkov <email address hidden>  Tue, 12 Mar 2019 03:44:54 +0000
Published in cosmic-updates on 2019-04-04
Deleted in cosmic-proposed (Reason: moved to -updates)
boost1.67 (1.67.0-7ubuntu0.1) cosmic; urgency=medium

  * d/p/boostorg-program_options-pull-59.patch: pulled in patch from disco to
    fix regression (vs 1.66.0 and older) to allow argc == 0 (LP: #1821762)
  * d/p/fix-boost-compute-gcc8-ftbfs.patch: Fix FTBFS in boost.compute with
    GCC-8 (LP: #1821803)

 -- Andreas Hasenack <email address hidden>  Tue, 26 Mar 2019 17:06:29 -0300
Superseded in eoan-release on 2019-04-29
Published in disco-release on 2019-02-06
Deleted in disco-proposed (Reason: moved to release)
boost1.67 (1.67.0-13) unstable; urgency=medium

  * [c573257] Fix FTBFS in boost.compute with GCC-8. (Closes: #921247)
  * [086d453] Trim trailing whitespace.
  * [d21d6e3] Use secure URI in Homepage field.
  * [957aa8b] Bump debhelper from old 9 to 10.

 -- Anton Gladky <email address hidden>  Mon, 04 Feb 2019 15:25:45 +0100

Available diffs

Superseded in disco-release on 2019-02-06
Deleted in disco-proposed on 2019-02-07 (Reason: moved to release)
boost1.67 (1.67.0-12) unstable; urgency=medium

  * Add patch to fix FTBFS of package bali-phy on ppc64* (closes: #903665).
  * Ignore file .gitlab-ci.yml when creating the source package.
  * Expose supported Python version as virtual packages, so that reverse
    dependencies can depend on the right package (closes: #911625).
  * Work around broken architecture detection under x32.

 -- Giovanni Mascellani <email address hidden>  Wed, 23 Jan 2019 12:14:16 +0100

Available diffs

Superseded in disco-release on 2019-01-26
Deleted in disco-proposed on 2019-01-28 (Reason: moved to release)
boost1.67 (1.67.0-11) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Split debian/rules into arch and indep rules, so that arch-independent
    packages are not uselessly built when arch-dependent packages are
    requested and viceversa (closes: #914053).
    + This should also fix some intermittent FTBFS (closes: #913709).
  * Backport patch to fix build on kFreeBSD (closes: #913710).
  * Quit quickly if compilation fails, in order to save on CPU cycles
    and produce easier-to-read build logs.

  [ Dimitri John Ledkov ]
  * Cherrypick predef upstream patch to correctly detect BOOST_OS_LINUX
    using __linux__ define (closes: #914688).

  [ Giovanni Mascellani ]
  * Replace other appearances of __linux with __linux__.

 -- Giovanni Mascellani <email address hidden>  Fri, 30 Nov 2018 18:12:49 +0100
Superseded in disco-release on 2018-12-04
Deleted in disco-proposed on 2018-12-05 (Reason: moved to release)
boost1.67 (1.67.0-10) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Rebuild against icu 63.
    + Add shlibs versioning information and breakages so that reverse
      dependencies are rebuilt appropriately.
  * Fail on errors happening inside bash for loops (closes: #912910).

  [ Dimitri John Ledkov ]
  * Add breaks on nheko in unstable.

 -- Dimitri John Ledkov <email address hidden>  Tue, 13 Nov 2018 12:47:47 +0000
Superseded in disco-proposed on 2018-11-13
boost1.67 (1.67.0-9build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <email address hidden>  Tue, 13 Nov 2018 08:10:40 +0000
Superseded in disco-release on 2018-11-11
Deleted in disco-proposed on 2018-11-13 (Reason: moved to release)
boost1.67 (1.67.0-8build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 12:06:08 +0000
Superseded in disco-release on 2018-11-23
Deleted in disco-proposed on 2018-11-24 (Reason: moved to release)
boost1.67 (1.67.0-9) unstable; urgency=medium

  * Drop rtupdate logic for python2, it was never ported to python3 and
    upstream has moved onto co-installable names anyway. Also python2
    default is not going change ever again.
  * Include patch to unbreak mongo testsuite with boost 1.67 program
    options.

 -- Dimitri John Ledkov <email address hidden>  Thu, 01 Nov 2018 17:19:30 +0000
Superseded in disco-release on 2018-11-06
Deleted in disco-proposed on 2018-11-08 (Reason: moved to release)
boost1.67 (1.67.0-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Giovanni Mascellani ]
  * Add a missing #include line.

 -- Giovanni Mascellani <email address hidden>  Fri, 26 Oct 2018 17:22:09 +0200

Available diffs

Superseded in disco-release on 2018-11-02
Published in cosmic-release on 2018-09-24
Deleted in cosmic-proposed (Reason: moved to release)
boost1.67 (1.67.0-7) unstable; urgency=medium

  * [99c7ebf] Remove dependency on libstdc++(-4.8|)-dev. (Closes: #908737)

 -- Anton Gladky <email address hidden>  Thu, 13 Sep 2018 20:57:27 +0200

Available diffs

Superseded in cosmic-release on 2018-09-24
Deleted in cosmic-proposed on 2018-09-25 (Reason: moved to release)
boost1.67 (1.67.0-6) unstable; urgency=medium

  * [d7d1d71] Add missing dependency in container-test

 -- Anton Gladky <email address hidden>  Thu, 02 Aug 2018 17:36:08 +0200
Superseded in cosmic-release on 2018-08-20
Superseded in cosmic-release on 2018-07-17
Deleted in cosmic-proposed on 2018-08-21 (Reason: moved to release)
boost1.67 (1.67.0-0ubuntu1) cosmic; urgency=medium

  [ Dimitri John Ledkov ]
  * coroutine2 is no longer excludable library, adjust debian/rules.
  * Cherrypick upstream patch to fix python module_init symbol visibility.
  * Further fixup boost-mpi-python library tag.
  * Correct mpi python extension suffix, as per PEP-3149.
  * Use separate stagedirs for sub-builds
  * Stop using pyid, which is now meant for python variants only
    (e.g. debug)
  * Switch to the new upstream python tags for python like libraries.
  * Continue to provide old names, as compat symlinks in the -dev packages
    only. This is to be dropped.
  * Add myself as uploader.

  [ Giovanni Mascellani ]
  * New upstream release.
  * Add myself as uploader.
  * Enable hardening flags.
  * Rewrite debian/copyright in better detail.

 -- Dimitri John Ledkov 🌈 <email address hidden>  Thu, 05 Jul 2018 12:03:59 +0100
132 of 32 results